Bug 37287

Summary: Rename Wince file to WinCE
Product: WebKit Reporter: Patrick R. Gansterer <paroga>
Component: Web Template FrameworkAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Trivial CC: abarth, cjerdonek, commit-queue, eric, skyul, tkent, webkit.review.bot
Priority: P5    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Other   
Attachments:
Description Flags
The patch - part 1 (JSC/WTF)
none
The patch - part 2 (WebCore)
none
The patch - part 1 (JSC/WTF)
none
The patch - part 2 (WebCore) none

Description Patrick R. Gansterer 2010-04-08 13:49:34 PDT
See patch.
Comment 1 Patrick R. Gansterer 2010-04-08 13:51:35 PDT
Created attachment 52892 [details]
The patch - part 1 (JSC/WTF)
Comment 2 WebKit Review Bot 2010-04-08 13:53:44 PDT
Attachment 52892 [details] did not pass style-queue:

Failed to run "WebKitTools/Scripts/check-webkit-style" exit_code: 1
Last 3072 characters of output:
 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
JavaScriptCore/wtf/unicode/wince/UnicodeWinCE.h:72:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
JavaScriptCore/wtf/unicode/wince/UnicodeWinCE.h:211:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/unicode/wince/UnicodeWinCE.h:213:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/unicode/wince/UnicodeWinCE.cpp:97:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
JavaScriptCore/wtf/unicode/wince/UnicodeWinCE.cpp:121:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WARNING: Skipping non-existent file: JavaScriptCore/wtf/unicode/wince/UnicodeWince.h
JavaScriptCore/wtf/wince/FastMallocWinCE.h:22:  #ifndef header guard has wrong style, please use: FastMallocWinCE_h  [build/header_guard] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:29:  Alphabetical sorting problem.  [build/include_order] [4]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:34:  n_elements is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:34:  element_size is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:41:  n_elements is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:41:  element_size is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:83:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:86:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:87:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:88:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:89:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:90:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:91:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:92:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:93:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:156:  One space before end of line comments  [whitespace/comments] [5]
WARNING: Skipping non-existent file: JavaScriptCore/wtf/unicode/wince/UnicodeWince.cpp
Total errors found: 25 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Patrick R. Gansterer 2010-04-08 15:26:50 PDT
Created attachment 52902 [details]
The patch - part 2 (WebCore)

It is very big, but there are no real changes in this patch.
Comment 4 WebKit Review Bot 2010-04-08 15:29:09 PDT
Attachment 52902 [details] did not pass style-queue:

Failed to run "WebKitTools/Scripts/check-webkit-style" exit_code: 1
Last 3072 characters of output:
/null] [5]
WebCore/platform/graphics/wince/GraphicsContextWinCE.cpp:1922:  Use 0 instead of NULL.  [readability/null] [5]
WARNING: Skipping non-existent file: WebCore/storage/wince/LocalStorageThreadWince.cpp
WebCore/platform/wince/MIMETypeRegistryWinCE.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
WebCore/platform/wince/MIMETypeRegistryWinCE.cpp:61:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/wince/PasteboardWinCE.cpp:239:  An else statement can be removed when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
WebCore/platform/wince/PasteboardWinCE.cpp:251:  An else statement can be removed when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
WebCore/platform/wince/PasteboardWinCE.cpp:273:  cf_html is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
WARNING: Skipping non-existent file: WebCore/platform/wince/SearchPopupMenuWince.cpp
WARNING: Skipping non-existent file: WebCore/storage/wince/DatabaseThreadWince.cpp
WARNING: Skipping non-existent file: WebCore/platform/wince/SharedTimerWince.cpp
WebCore/storage/wince/DatabaseThreadWinCE.h:32:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
WebCore/platform/wince/FileSystemWinCE.cpp:38:  Alphabetical sorting problem.  [build/include_order] [4]
WebCore/platform/wince/FileSystemWinCE.cpp:39:  Alphabetical sorting problem.  [build/include_order] [4]
WebCore/storage/wince/LocalStorageThreadWinCE.h:33:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
WARNING: Skipping non-existent file: WebCore/platform/text/wince/TextBoundariesWince.cpp
WebCore/rendering/RenderThemeWinCE..h:24:  #ifndef header guard has wrong style, please use: RenderThemeWinCE__h  [build/header_guard] [5]
WebCore/rendering/RenderThemeWinCE..h:35:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
WARNING: Skipping non-existent file: WebCore/storage/wince/DatabaseThreadWince.h
WARNING: Skipping non-existent file: WebCore/platform/graphics/wince/PlatformPathWince.cpp
WARNING: Skipping non-existent file: WebCore/platform/graphics/wince/FontCacheWince.cpp
WARNING: Skipping non-existent file: WebCore/platform/graphics/wince/WinceGraphicsExtras.h
WARNING: Skipping non-existent file: WebCore/platform/wince/DragImageWince.cpp
WARNING: Skipping non-existent file: WebCore/platform/graphics/wince/MediaPlayerPrivateWince.h
WARNING: Skipping non-existent file: WebCore/loader/icon/wince/IconDatabaseWince.cpp
WARNING: Skipping non-existent file: WebCore/platform/wince/FileChooserWince.cpp
WebCore/platform/graphics/wince/GlyphPageTreeNodeWinCE.cpp:44:  An else if statement should be written as an if statement when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
WARNING: Skipping non-existent file: WebCore/platform/wince/CursorWince.cpp
Total errors found: 54 in 38 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Patrick R. Gansterer 2010-04-08 15:55:19 PDT
Created attachment 52907 [details]
The patch - part 1 (JSC/WTF)
Comment 6 Patrick R. Gansterer 2010-04-08 15:56:29 PDT
Created attachment 52908 [details]
The patch - part 2 (WebCore)
Comment 7 WebKit Review Bot 2010-04-08 15:59:44 PDT
Attachment 52907 [details] did not pass style-queue:

Failed to run "WebKitTools/Scripts/check-webkit-style" exit_code: 1
Last 3072 characters of output:
 is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
JavaScriptCore/wtf/unicode/wince/UnicodeWinCE.h:72:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
JavaScriptCore/wtf/unicode/wince/UnicodeWinCE.h:211:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/unicode/wince/UnicodeWinCE.h:213:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/unicode/wince/UnicodeWinCE.cpp:97:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
JavaScriptCore/wtf/unicode/wince/UnicodeWinCE.cpp:121:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
WARNING: Skipping non-existent file: JavaScriptCore/wtf/unicode/wince/UnicodeWince.h
JavaScriptCore/wtf/wince/FastMallocWinCE.h:22:  #ifndef header guard has wrong style, please use: FastMallocWinCE_h  [build/header_guard] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:29:  Alphabetical sorting problem.  [build/include_order] [4]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:34:  n_elements is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:34:  element_size is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:41:  n_elements is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:41:  element_size is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:83:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:86:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:87:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:88:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:89:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:90:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:91:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:92:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:93:  One space before end of line comments  [whitespace/comments] [5]
JavaScriptCore/wtf/wince/FastMallocWinCE.h:156:  One space before end of line comments  [whitespace/comments] [5]
WARNING: Skipping non-existent file: JavaScriptCore/wtf/unicode/wince/UnicodeWince.cpp
Total errors found: 25 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 WebKit Review Bot 2010-04-08 16:03:50 PDT
Attachment 52908 [details] did not pass style-queue:

Failed to run "WebKitTools/Scripts/check-webkit-style" exit_code: 1
Last 3072 characters of output:
/null] [5]
WebCore/platform/graphics/wince/GraphicsContextWinCE.cpp:1922:  Use 0 instead of NULL.  [readability/null] [5]
WARNING: Skipping non-existent file: WebCore/storage/wince/LocalStorageThreadWince.cpp
WebCore/platform/wince/MIMETypeRegistryWinCE.cpp:31:  Alphabetical sorting problem.  [build/include_order] [4]
WebCore/platform/wince/MIMETypeRegistryWinCE.cpp:61:  Should have a space between // and comment  [whitespace/comments] [4]
WebCore/platform/wince/PasteboardWinCE.cpp:239:  An else statement can be removed when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
WebCore/platform/wince/PasteboardWinCE.cpp:251:  An else statement can be removed when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
WebCore/platform/wince/PasteboardWinCE.cpp:273:  cf_html is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
WARNING: Skipping non-existent file: WebCore/platform/wince/SearchPopupMenuWince.cpp
WARNING: Skipping non-existent file: WebCore/storage/wince/DatabaseThreadWince.cpp
WARNING: Skipping non-existent file: WebCore/platform/wince/SharedTimerWince.cpp
WebCore/storage/wince/DatabaseThreadWinCE.h:32:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
WebCore/platform/wince/FileSystemWinCE.cpp:38:  Alphabetical sorting problem.  [build/include_order] [4]
WebCore/platform/wince/FileSystemWinCE.cpp:39:  Alphabetical sorting problem.  [build/include_order] [4]
WebCore/storage/wince/LocalStorageThreadWinCE.h:33:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
WARNING: Skipping non-existent file: WebCore/platform/text/wince/TextBoundariesWince.cpp
WebCore/rendering/RenderThemeWinCE..h:24:  #ifndef header guard has wrong style, please use: RenderThemeWinCE__h  [build/header_guard] [5]
WebCore/rendering/RenderThemeWinCE..h:35:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
WARNING: Skipping non-existent file: WebCore/storage/wince/DatabaseThreadWince.h
WARNING: Skipping non-existent file: WebCore/platform/graphics/wince/PlatformPathWince.cpp
WARNING: Skipping non-existent file: WebCore/platform/graphics/wince/FontCacheWince.cpp
WARNING: Skipping non-existent file: WebCore/platform/graphics/wince/WinceGraphicsExtras.h
WARNING: Skipping non-existent file: WebCore/platform/wince/DragImageWince.cpp
WARNING: Skipping non-existent file: WebCore/platform/graphics/wince/MediaPlayerPrivateWince.h
WARNING: Skipping non-existent file: WebCore/loader/icon/wince/IconDatabaseWince.cpp
WARNING: Skipping non-existent file: WebCore/platform/wince/FileChooserWince.cpp
WebCore/platform/graphics/wince/GlyphPageTreeNodeWinCE.cpp:44:  An else if statement should be written as an if statement when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
WARNING: Skipping non-existent file: WebCore/platform/wince/CursorWince.cpp
Total errors found: 54 in 38 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Eric Seidel (no email) 2010-04-09 13:41:45 PDT
Style explosion!
Comment 10 Eric Seidel (no email) 2010-04-09 13:42:39 PDT
We have a script for doing these types of renames called "do-webcore-rename".   We might consider using that instead.  Basically we queue up a bunch of renames and do them at once at some later date.
Comment 11 Patrick R. Gansterer 2010-04-10 01:37:02 PDT
(In reply to comment #9)
> Style explosion!
What to do against it? Are style patches welcome?

(In reply to comment #10)
> We have a script for doing these types of renames called "do-webcore-rename".  
> We might consider using that instead.  Basically we queue up a bunch of renames
> and do them at once at some later date.

What should I do now? Post a patch for "do-webcore-rename"?
Comment 12 WebKit Review Bot 2010-04-11 05:27:16 PDT
Attachment 52907 [details] did not build on win:
Build output: http://webkit-commit-queue.appspot.com/results/1574389
Comment 13 Adam Barth 2010-04-11 10:57:35 PDT
> Build output: http://webkit-commit-queue.appspot.com/results/1574389

Sorry, looks like a bug in the win-ews.
Comment 14 Patrick R. Gansterer 2010-04-11 11:00:04 PDT
(In reply to comment #13)
> > Build output: http://webkit-commit-queue.appspot.com/results/1574389
> 
> Sorry, looks like a bug in the win-ews.
I think this a a general problem with subversion on windows, because windows has no case sensitive filesystem. :-/
Comment 15 Adam Barth 2010-04-11 11:06:02 PDT
> I think this a a general problem with subversion on windows, because windows
> has no case sensitive filesystem. :-/

Does that mean this patch is going to cause a problem for all our windows developers?
Comment 16 Patrick R. Gansterer 2010-04-11 11:11:09 PDT
(In reply to comment #15)
> > I think this a a general problem with subversion on windows, because windows
> > has no case sensitive filesystem. :-/
> 
> Does that mean this patch is going to cause a problem for all our windows
> developers?
They won't be able to apply it on their working copy. If someone  apply it on a case sensitive filesystem an commit it, there won't be a problem when checking out on windows.
Comment 17 Kent Tamura 2010-06-11 04:46:39 PDT
(In reply to comment #16)
> (In reply to comment #15)
> > > I think this a a general problem with subversion on windows, because windows
> > > has no case sensitive filesystem. :-/
> > 
> > Does that mean this patch is going to cause a problem for all our windows
> > developers?
> They won't be able to apply it on their working copy. If someone  apply it on a case sensitive filesystem an commit it, there won't be a problem when checking out on windows.

Is it same for Mac?
How about git pull/merge on Windows or Mac?
Comment 18 Patrick R. Gansterer 2010-06-12 05:40:06 PDT
(In reply to comment #17)
> Is it same for Mac?
If Mac as a case-sensitve filesystem ther is no problem.

> How about git pull/merge on Windows or Mac?
It should work with git.
The problem is caused by the ".svn" folder where the "metadata" for each file is stored. Because renaming is a "delete and add" action in SVN it needs a file to store the delete action and one for the add action, but Windows can't store them because of its caseinsensitve filesystem.
Comment 19 WebKit Commit Bot 2010-06-25 01:43:49 PDT
Comment on attachment 52907 [details]
The patch - part 1 (JSC/WTF)

Rejecting patch 52907 from commit-queue.

Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Darin Adler', u'--force']" exit_code: 2
Parsed 11 diffs from patch file(s).
cp: JavaScriptCore/wtf/unicode/wince/UnicodeWinCE.cpp and JavaScriptCore/wtf/unicode/wince/UnicodeWince.cpp are identical (not copied).
Failed to copy JavaScriptCore/wtf/unicode/wince/UnicodeWince.cpp JavaScriptCore/wtf/unicode/wince/UnicodeWinCE.cpp. at /Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply line 416.

Full output: http://webkit-commit-queue.appspot.com/results/3295777
Comment 20 WebKit Commit Bot 2010-06-25 02:08:02 PDT
Comment on attachment 52908 [details]
The patch - part 2 (WebCore)

Rejecting patch 52908 from commit-queue.

Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Darin Adler', u'--force']" exit_code: 2
Parsed 100 diffs from patch file(s).
cp: WebCore/loader/icon/wince/IconDatabaseWinCE.cpp and WebCore/loader/icon/wince/IconDatabaseWince.cpp are identical (not copied).
Failed to copy WebCore/loader/icon/wince/IconDatabaseWince.cpp WebCore/loader/icon/wince/IconDatabaseWinCE.cpp. at /Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply line 416.

Full output: http://webkit-commit-queue.appspot.com/results/3280747
Comment 21 Patrick R. Gansterer 2010-06-25 02:12:15 PDT
I will update the patch to match the current trunk.
Comment 22 Patrick R. Gansterer 2010-06-25 02:15:51 PDT
(In reply to comment #21)
> I will update the patch to match the current trunk.
Sorry, seams to be a problem of the commit queue, not of the patch?
Comment 23 Eric Seidel (no email) 2010-06-25 02:24:23 PDT
The commit queue is running on a case insensitive (but case preserving) file system (HFS+).  It can't land case-renaming patches, no.
Comment 24 Patrick R. Gansterer 2010-06-26 04:18:17 PDT
(In reply to comment #23)
> The commit queue is running on a case insensitive (but case preserving) file system (HFS+).  It can't land case-renaming patches, no.
Who will commit the patch? I'm not a committer by now. ;-)
I can split every patch into a "remove" and a "add again" part, if we can land it with the commit queue then.
Comment 25 Kwang Yul Seo 2010-06-27 17:15:32 PDT
I don't see much value in renaming Wince. It becomes very hard to track commit logs once WinCE files are removed and committed again.
Comment 26 Patrick R. Gansterer 2010-06-28 03:56:54 PDT
(In reply to comment #25)
> I don't see much value in renaming Wince.
It was requested by Darin at bug 32169.

> It becomes very hard to track commit logs once WinCE files are removed and committed again.
If we do a svn-add from a previous revision, this shouldn't be no problem.
Comment 27 Patrick R. Gansterer 2010-09-18 13:45:22 PDT
Comment on attachment 52907 [details]
The patch - part 1 (JSC/WTF)

Clearing flags on attachment: 52907

Manually committed r67788: <http://trac.webkit.org/changeset/67788>
Comment 28 Patrick R. Gansterer 2010-09-18 13:45:46 PDT
Comment on attachment 52908 [details]
The patch - part 2 (WebCore)

Clearing flags on attachment: 52908

Manually committed r67788: <http://trac.webkit.org/changeset/67788>
Comment 29 Patrick R. Gansterer 2010-09-18 13:46:32 PDT
All reviewed patches have been landed.  Closing bug.